Bug 105652 - kernel panic on e25 kernel
kernel panic on e25 kernel
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
All Linux
medium Severity high
: ---
: ---
Assigned To: Stephen Tweedie
:
Depends On:
Blocks: 106054
  Show dependency treegraph
 
Reported: 2003-09-26 06:18 EDT by Steffen Mann
Modified: 2007-11-30 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-08 19:32:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
part 1/2: fix ext3 locking in do_get_write_access (9.23 KB, patch)
2003-10-20 15:00 EDT, Stephen Tweedie
no flags Details | Diff
part 2/2: fix buffer refile locking problem exposed by part1 fix (3.74 KB, patch)
2003-10-20 15:01 EDT, Stephen Tweedie
no flags Details | Diff

  None (edit)
Description Steffen Mann 2003-09-26 06:18:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.11 (X11; Linux i686; U;) Gecko/20030708

Description of problem:
[root@lvr1 root]# Assertion failure in do_get_write_access() at
transaction.c:612: "!(((jh2bh(jh))->b_state & (1UL << BH_Lock)) != 0)"
------------[ cut here ]------------
kernel BUG at transaction.c:612!
invalid operand: 0000
Kernel 2.4.9-e.25enterprise
CPU:    3
EIP:    0010:[<f885da8e>]    Not tainted
EFLAGS: 00010282
EIP is at do_get_write_access [jbd] 0x20e 
eax: 00000024   ebx: eb10c3e0   ecx: c02f7844   edx: 00006b3c
esi: eb10c3e0   edi: cbbac490   ebp: eeb27400   esp: f013f9f8
ds: 0018   es: 0018   ss: 0018
Process sendmail (pid: 25873, stackpage=f013f000)
Stack: f8866f10 00000264 00000000 00000000 00000000 f57508e0 eeb27494 eeb27400 
       f6b6f1e0 cbbac490 f885df47 f6b6f1e0 cbbac490 00000000 00000000 f6b6f1e0 
       f013fabc ea03eac0 f88727a1 f6b6f1e0 eb10c3e0 f885e5f7 e4cff370 cae24cc0 
Call Trace: [<f8866f10>] .LC7 [jbd] 0x0 
[<f885df47>] journal_get_write_access_Rsmp_a7d05437 [jbd] 0x37 
[<f88727a1>] ext3_reserve_inode_write [ext3] 0x31 
[<f885e5f7>] journal_dirty_metadata_Rsmp_08cf9292 [jbd] 0x1a7 
[<c01debbe>] dev_queue_xmit [kernel] 0x14e 
[<f8872838>] ext3_mark_inode_dirty [ext3] 0x18 
[<f88728f8>] ext3_dirty_inode [ext3] 0x98 
[<f885f270>] __journal_file_buffer [jbd] 0xe0 
[<c015c1ba>] __mark_inode_dirty [kernel] 0x2a 
[<f886c977>] ext3_free_blocks [ext3] 0x657 
[<c01e6d74>] qdisc_restart [kernel] 0x14 
[<f886fd0b>] ext3_get_block_handle [ext3] 0xdb 
[<c02021c5>] tcp_transmit_skb [kernel] 0x565 
[<c01fdd97>] tcp_clean_rtx_queue [kernel] 0x247 
[<c01f2e00>] ip_queue_xmit [kernel] 0x2b0 
[<f887006a>] ext3_getblk [ext3] 0xda 
[<f8807e99>] __scsi_end_request [scsi_mod] 0x1b9 
[<f886fd0b>] ext3_get_block_handle [ext3] 0xdb 
[<f885deed>] do_get_write_access [jbd] 0x66d 
[<c0113b5f>] smp_call_function_interrupt [kernel] 0x2f 
[<c024763a>] call_call_function_interrupt [kernel] 0x5 
[<f887148c>] ext3_clear_blocks [ext3] 0x13c 
[<f885deed>] do_get_write_access [jbd] 0x66d 
[<f885e5f7>] journal_dirty_metadata_Rsmp_08cf9292 [jbd] 0x1a7 
[<c01199d2>] __wake_up [kernel] 0x42 
[<f88715b8>] ext3_free_data [ext3] 0x118 
[<c021df75>] unix_dgram_sendmsg [kernel] 0x3a5 
[<f88727a1>] ext3_reserve_inode_write [ext3] 0x31 
[<c01492e7>] refile_buffer [kernel] 0x17 
[<c0113b5f>] smp_call_function_interrupt [kernel] 0x2f 
[<c024763a>] call_call_function_interrupt [kernel] 0x5 
[<f88719aa>] ext3_truncate [ext3] 0x13a 
[<f885d1c6>] start_this_handle [jbd] 0x66 
[<f885d285>] start_this_handle [jbd] 0x125 
[<f885d38f>] journal_start_Rsmp_ec53be73 [jbd] 0xbf 
[<f886f1e8>] start_transaction [ext3] 0x58 
[<f886f387>] ext3_delete_inode [ext3] 0xe7 
[<f887dd20>] ext3_sops [ext3] 0x0 
[<f887dd20>] ext3_sops [ext3] 0x0 
[<c015dccc>] iput_free [kernel] 0x14c 
[<f8862a8a>] log_wait_commit_Rsmp_7dd6c3ad [jbd] 0x5a 
[<c015ad8b>] dentry_iput [kernel] 0x4b 
[<c015ae76>] dput [kernel] 0xc6 
[<c015a641>] locks_remove_posix [kernel] 0x141 
[<f886dc64>] ext3_release_file [ext3] 0x14 
[<c0147b48>] __fput [kernel] 0x68 
[<c014671e>] filp_close [kernel] 0x9e 
[<c014678b>] sys_close [kernel] 0x5b 
[<c01073c3>] system_call [kernel] 0x33 


Code: 0f 0b 58 5a c7 44 24 08 e2 ff ff ff 8b 54 24 24 b8 01 00 00 
 <0>Kernel panic: not continuing


Version-Release number of selected component (if applicable):
e25

How reproducible:
Didn't try

Steps to Reproduce:
1.e25
2.e25
3.
    

Additional info:
Comment 1 Stephen Tweedie 2003-10-02 09:22:57 EDT
There is a patch which will probably fix this, but until recently we didn't know
_why_ it would help --- the bug that the patch was designed to fix didn't exist
until 2.4.10+ kernels.  

But we have recently identified a real problem in 2.4.9 which the patch will
fix, and we have started testing a back-port of that patch to the AS-2.1 tree.
Comment 2 Stephen Tweedie 2003-10-08 11:59:47 EDT
An unsupported engineering kernel containing this fix is now available for
testing and evaluation at

http://people.redhat.com/~jbaron/.private/testing/2.4.9-e.27.18.test/
Comment 3 Stephen Tweedie 2003-10-20 15:00:49 EDT
Created attachment 95317 [details]
part 1/2: fix ext3 locking in do_get_write_access
Comment 4 Stephen Tweedie 2003-10-20 15:01:34 EDT
Created attachment 95318 [details]
part 2/2: fix buffer refile locking problem exposed by part1 fix
Comment 5 Kevin Krafthefer 2003-11-03 16:55:47 EST
Any plans on getting the transaction.c bugs fix in QU3?
Comment 6 Stephen Tweedie 2003-11-04 08:00:15 EST
Yes, it is in the development tree for QU3.
Comment 7 Don Howard 2004-01-08 19:32:33 EST
This issue has been addressed in QU3. 
  
Please reopen this ticket if you find evidence that the issue  
persists in the QU3 release.  
  
If there are other outstanding issues in this ticket, please open a  
new BZ ticket to address them. 
Comment 8 Vicent 2004-03-01 06:24:57 EST
The same error in e27 
Comment 9 Stephen Tweedie 2004-03-01 09:30:58 EST
The fix was not in e27.  e27.17 was the first side-branch build with
it included; e28 was the first mainline kernel with it.

Note You need to log in before you can comment on or make changes to this bug.